package com.bzd.system.service.bbfx;

import com.bzd.common.config.dao.DaoBase;
import com.bzd.common.config.dao.DaoSupport;
import com.bzd.common.config.dao.PageData;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;


/**
*
* 商品缺货明细表 service
* @author LiXiangFei
* @since 2024-10-15
*/

@Service
public class SBbfxKcbbInventoryShortageDetailService {

    @Autowired
    private DaoBase dao;

    @Resource(name = "daoSupport")
    private DaoSupport daoSupport;

    public Integer addSBbfxKcbbInventoryShortageDetail(PageData pd)throws Exception {
        return daoSupport.update("SBbfxKcbbInventoryShortageDetailMapper.addSBbfxKcbbInventoryShortageDetail", pd);
    }

    public List<PageData> findSBbfxKcbbInventoryShortageDetailList(PageData pd) throws Exception{
        return (List<PageData>) daoSupport.findForList("SBbfxKcbbInventoryShortageDetailMapper.selectSBbfxKcbbInventoryShortageDetailList", pd);
    }

    public Integer SBbfxKcbbInventoryShortageDetailRemove(PageData pd)throws Exception {
        return daoSupport.delete("SBbfxKcbbInventoryShortageDetailMapper.SBbfxKcbbInventoryShortageDetailRemove", pd);
    }


    public Integer updateSBbfxKcbbInventoryShortageDetail(PageData pd)throws Exception {
        return daoSupport.update("SBbfxKcbbInventoryShortageDetailMapper.updateSBbfxKcbbInventoryShortageDetail", pd);
    }

}
